Untitled

mail@pastecode.io avatar
unknown
plain_text
6 months ago
14 kB
3
Indexable
Never
INTERNALERROR> def worker_internal_error(self, node, formatted_error):
INTERNALERROR>         """
INTERNALERROR>         pytest_internalerror() was called on the worker.
INTERNALERROR>     
INTERNALERROR>         pytest_internalerror() arguments are an excinfo and an excrepr, which can't
INTERNALERROR>         be serialized, so we go with a poor man's solution of raising an exception
INTERNALERROR>         here ourselves using the formatted message.
INTERNALERROR>         """
INTERNALERROR>         self._active_nodes.remove(node)
INTERNALERROR>         try:
INTERNALERROR> >           assert False, formatted_error
INTERNALERROR> E           AssertionError: Traceback (most recent call last):
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/urllib3/connectionpool.py", line 715, in urlopen
INTERNALERROR> E                 httplib_response = self._make_request(
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/urllib3/connectionpool.py", line 467, in _make_request
INTERNALERROR> E                 six.raise_from(e, None)
INTERNALERROR> E               File "<string>", line 3, in raise_from
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/urllib3/connectionpool.py", line 462, in _make_request
INTERNALERROR> E                 httplib_response = conn.getresponse()
INTERNALERROR> E               File "/usr/local/lib/python3.9/http/client.py", line 1345, in getresponse
INTERNALERROR> E                 response.begin()
INTERNALERROR> E               File "/usr/local/lib/python3.9/http/client.py", line 307, in begin
INTERNALERROR> E                 version, status, reason = self._read_status()
INTERNALERROR> E               File "/usr/local/lib/python3.9/http/client.py", line 268, in _read_status
INTERNALERROR> E                 line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
INTERNALERROR> E               File "/usr/local/lib/python3.9/socket.py", line 704, in readinto
INTERNALERROR> E                 return self._sock.recv_into(b)
INTERNALERROR> E               File "/usr/local/lib/python3.9/ssl.py", line 1241, in recv_into
INTERNALERROR> E                 return self.read(nbytes, buffer)
INTERNALERROR> E               File "/usr/local/lib/python3.9/ssl.py", line 1099, in read
INTERNALERROR> E                 return self._sslobj.read(len, buffer)
INTERNALERROR> E             ConnectionResetError: [Errno 104] Connection reset by peer
INTERNALERROR> E             
INTERNALERROR> E             During handling of the above exception, another exception occurred:
INTERNALERROR> E             
INTERNALERROR> E             Traceback (most recent call last):
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/_pytest/main.py", line 271, in wrap_session
INTERNALERROR> E                 session.exitstatus = doit(config, session) or 0
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/_pytest/main.py", line 325, in _main
INTERNALERROR> E                 config.hook.pytest_runtestloop(session=session)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/pluggy/hooks.py", line 286, in __call__
INTERNALERROR> E                 return self._hookexec(self, self.get_hookimpls(), kwargs)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/pluggy/manager.py", line 93, in _hookexec
INTERNALERROR> E                 return self._inner_hookexec(hook, methods, kwargs)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/pluggy/manager.py", line 84, in <lambda>
INTERNALERROR> E                 self._inner_hookexec = lambda hook, methods, kwargs: hook.multicall(
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/pluggy/callers.py", line 208, in _multicall
INTERNALERROR> E                 return outcome.get_result()
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/pluggy/callers.py", line 80, in get_result
INTERNALERROR> E                 raise ex[1].with_traceback(ex[2])
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/pluggy/callers.py", line 187, in _multicall
INTERNALERROR> E                 res = hook_impl.function(*args)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/xdist/remote.py", line 91, in pytest_runtestloop
INTERNALERROR> E                 self.run_one_test(torun)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/xdist/remote.py", line 110, in run_one_test
INTERNALERROR> E                 self.config.hook.pytest_runtest_protocol(item=item, nextitem=nextitem)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/pluggy/hooks.py", line 286, in __call__
INTERNALERROR> E                 return self._hookexec(self, self.get_hookimpls(), kwargs)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/pluggy/manager.py", line 93, in _hookexec
INTERNALERROR> E                 return self._inner_hookexec(hook, methods, kwargs)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/pluggy/manager.py", line 84, in <lambda>
INTERNALERROR> E                 self._inner_hookexec = lambda hook, methods, kwargs: hook.multicall(
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/pluggy/callers.py", line 208, in _multicall
INTERNALERROR> E                 return outcome.get_result()
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/pluggy/callers.py", line 80, in get_result
INTERNALERROR> E                 raise ex[1].with_traceback(ex[2])
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/pluggy/callers.py", line 187, in _multicall
INTERNALERROR> E                 res = hook_impl.function(*args)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/pytest_rerunfailures.py", line 549, in pytest_runtest_protocol
INTERNALERROR> E                 item.ihook.pytest_runtest_logfinish(nodeid=item.nodeid, location=item.location)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/pluggy/hooks.py", line 286, in __call__
INTERNALERROR> E                 return self._hookexec(self, self.get_hookimpls(), kwargs)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/pluggy/manager.py", line 93, in _hookexec
INTERNALERROR> E                 return self._inner_hookexec(hook, methods, kwargs)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/pluggy/manager.py", line 84, in <lambda>
INTERNALERROR> E                 self._inner_hookexec = lambda hook, methods, kwargs: hook.multicall(
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/pluggy/callers.py", line 208, in _multicall
INTERNALERROR> E                 return outcome.get_result()
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/pluggy/callers.py", line 80, in get_result
INTERNALERROR> E                 raise ex[1].with_traceback(ex[2])
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/pluggy/callers.py", line 187, in _multicall
INTERNALERROR> E                 res = hook_impl.function(*args)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/testit_adapter_pytest/listener.py", line 237, in pytest_runtest_logfinish
INTERNALERROR> E                 self.__test_result_ids[self.__executable_test['externalID']] = self.__adapter_manager.write_test(
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/testit_python_commons/services/logger.py", line 22, in wrapper
INTERNALERROR> E                 result = function(*args, **kwargs)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/testit_python_commons/services/adapter_manager.py", line 46, in write_test
INTERNALERROR> E                 return self.__api_client.write_test(test_result)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/testit_python_commons/services/logger.py", line 22, in wrapper
INTERNALERROR> E                 result = function(*args, **kwargs)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/testit_python_commons/client/api_client.py", line 72, in write_test
INTERNALERROR> E                 autotest = self.__autotest_api.api_v2_auto_tests_search_post(api_v2_auto_tests_search_post_request=model)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/testit_api_client/api/auto_tests_api.py", line 1891, in api_v2_auto_tests_search_post
INTERNALERROR> E                 return self.api_v2_auto_tests_search_post_endpoint.call_with_http_info(**kwargs)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/testit_api_client/api_client.py", line 881, in call_with_http_info
INTERNALERROR> E                 return self.api_client.call_api(
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/testit_api_client/api_client.py", line 423, in call_api
INTERNALERROR> E                 return self.__call_api(resource_path, method,
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/testit_api_client/api_client.py", line 198, in __call_api
INTERNALERROR> E                 response_data = self.request(
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/testit_api_client/api_client.py", line 469, in request
INTERNALERROR> E                 return self.rest_client.POST(url,
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/testit_api_client/rest.py", line 274, in POST
INTERNALERROR> E                 return self.request("POST", url,
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/testit_api_client/rest.py", line 160, in request
INTERNALERROR> E                 r = self.pool_manager.request(
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/urllib3/request.py", line 81, in request
INTERNALERROR> E                 return self.request_encode_body(
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/urllib3/request.py", line 173, in request_encode_body
INTERNALERROR> E                 return self.urlopen(method, url, **extra_kw)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/urllib3/poolmanager.py", line 376, in urlopen
INTERNALERROR> E                 response = conn.urlopen(method, u.request_uri, **kw)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/urllib3/connectionpool.py", line 799, in urlopen
INTERNALERROR> E                 retries = retries.increment(
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/urllib3/util/retry.py", line 550, in increment
INTERNALERROR> E                 raise six.reraise(type(error), error, _stacktrace)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/urllib3/packages/six.py", line 769, in reraise
INTERNALERROR> E                 raise value.with_traceback(tb)
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/urllib3/connectionpool.py", line 715, in urlopen
INTERNALERROR> E                 httplib_response = self._make_request(
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/urllib3/connectionpool.py", line 467, in _make_request
INTERNALERROR> E                 six.raise_from(e, None)
INTERNALERROR> E               File "<string>", line 3, in raise_from
INTERNALERROR> E               File "/builds/antaresapi/cached_venv/lib/python3.9/site-packages/urllib3/connectionpool.py", line 462, in _make_request
INTERNALERROR> E                 httplib_response = conn.getresponse()
INTERNALERROR> E               File "/usr/local/lib/python3.9/http/client.py", line 1345, in getresponse
INTERNALERROR> E                 response.begin()
INTERNALERROR> E               File "/usr/local/lib/python3.9/http/client.py", line 307, in begin
INTERNALERROR> E                 version, status, reason = self._read_status()
INTERNALERROR> E               File "/usr/local/lib/python3.9/http/client.py", line 268, in _read_status
INTERNALERROR> E                 line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
INTERNALERROR> E               File "/usr/local/lib/python3.9/socket.py", line 704, in readinto
INTERNALERROR> E                 return self._sock.recv_into(b)
INTERNALERROR> E               File "/usr/local/lib/python3.9/ssl.py", line 1241, in recv_into
INTERNALERROR> E                 return self.read(nbytes, buffer)
INTERNALERROR> E               File "/usr/local/lib/python3.9/ssl.py", line 1099, in read
INTERNALERROR> E                 return self._sslobj.read(len, buffer)
INTERNALERROR> E             urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(104, 'Connection reset by peer'))
INTERNALERROR> E           assert False
Leave a Comment